Bug 1422647 - Customer concered about memory and elapsed time to generate custom report in global reporting region
Summary: Customer concered about memory and elapsed time to generate custom report in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Performance
Version: 5.6.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.7.2
Assignee: Nick LaMuro
QA Contact: Jiri Stefanisin
URL:
Whiteboard: report
Depends On: 1395743
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-15 18:42 UTC by Satoe Imaishi
Modified: 2020-06-11 13:18 UTC (History)
13 users (show)

Fixed In Version: 5.7.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1395743
Environment:
Last Closed: 2017-04-12 14:37:44 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 Nick LaMuro 2017-02-22 15:57:14 UTC
See the last bit from the clone "copy paste" from myself.  The code has for this has already merged into master and is available in Euwe.

Comment 3 Nick LaMuro 2017-02-22 15:59:14 UTC
Minor correction.  These are scheduled to be made available in euwe when the next round of backports for that are scheduled.

Comment 5 CFME Bot 2017-03-02 18:55:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/a2cac0a4bc351af70203b4d875aee9484dc0c83f

commit a2cac0a4bc351af70203b4d875aee9484dc0c83f
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Mon Nov 21 14:29:40 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 2 13:51:42 2017 -0500

    Merge pull request #12733 from kbrock/vim_performance_analysis
    
    remove to_a from vim_performance_analysis
    (cherry picked from commit a721b40699ad276dce0c8f2877e3f828b577fdf9)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422647

 app/models/bottleneck_event.rb                 | 6 +++---
 app/models/miq_report/generator/utilization.rb | 2 +-
 app/models/vim_performance_analysis.rb         | 1 -
 3 files changed, 4 insertions(+), 5 deletions(-)

Comment 6 CFME Bot 2017-03-02 19:01:03 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/2a40d3523e9215cf630b39e29f5542c9e83120b1

commit 2a40d3523e9215cf630b39e29f5542c9e83120b1
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Dec 5 15:39:20 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 2 13:59:23 2017 -0500

    Merge pull request #12911 from kbrock/vm_hardware_delegates
    
    use delegate for cpu_total_cores / cpu_cores_per_socket
    (cherry picked from commit 91517e8e080b1d6d64981e6334037fbec96d96b9)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422647

 app/models/vm_or_template.rb       | 11 +----------
 spec/models/vm_or_template_spec.rb | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 10 deletions(-)

Comment 7 CFME Bot 2017-03-02 19:36:01 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/5bb3af1e074cddc6dd3273c0d40c949e1b7511f8

commit 5bb3af1e074cddc6dd3273c0d40c949e1b7511f8
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Jan 30 15:53:55 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 2 14:29:55 2017 -0500

    Merge pull request #12972 from Fryguy/move_vpor_creation_to_rollup_time
    
    Remove on-the-fly creating of VimPerformanceOperatingRanges
    (cherry picked from commit ff7a33b54006bcddeab9b0290495b2db58f9f92a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422647

 app/models/metric/ci_mixin/long_term_averages.rb |  31 ++++---
 app/models/metric/ci_mixin/rollup.rb             |   7 +-
 app/models/vim_performance_operating_range.rb    |  31 +++++--
 spec/models/metric_spec.rb                       | 109 ++++++++++++-----------
 4 files changed, 102 insertions(+), 76 deletions(-)

Comment 8 CFME Bot 2017-03-02 19:36:08 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/bc2a7e3e4ea19c362ad5fbfd1efbd2f038ab89e0

commit bc2a7e3e4ea19c362ad5fbfd1efbd2f038ab89e0
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Jan 30 17:57:28 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Mar 2 14:30:36 2017 -0500

    Merge pull request #13700 from Fryguy/vpor_rollup_performance
    
    Only generate vpor for the TimeProfile specified, not all TimeProfiles
    (cherry picked from commit 9d4f10d6e9c3f76cdb51675560558ea9c7b0c15f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1422647

 app/models/metric/ci_mixin/long_term_averages.rb | 15 ++++++---------
 app/models/metric/ci_mixin/rollup.rb             |  6 +++---
 app/models/time_profile.rb                       |  4 ++++
 spec/models/metric_spec.rb                       | 14 ++++++++++----
 spec/models/time_profile_spec.rb                 | 12 ++++++++++++
 5 files changed, 35 insertions(+), 16 deletions(-)

Comment 12 errata-xmlrpc 2017-04-12 14:37:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.